function afficheEntree(id) {
  const texte = document.querySelector(id).value;
  alert("Affichage avec alert: " + texte);
}

function afficheAide(champ) {
  if (champ == "pseudo") {
    var id = "#pseudo";
    document.querySelector(id).innerHTML =
      "Saisir un pseudo. Il doit être compris entre 4 et 8 caractères";
  }
  if (champ == "password") {
    var id = "#password";
    document.querySelector(id).innerHTML =
      "Saisir le mot de passe. Il doit être constitué d'au moins 8 caractères";
  }
  if (champ == "email") {
    var id = "#email";
    document.querySelector(id).innerHTML = "Saisir une adresse email valide";
  }
}

function deleteAide(champ) {
  if (champ == "pseudo") {
    var id = "#pseudo";
    document.querySelector(id).innerHTML = "";
  }
  if (champ == "pseudo") {
    var id = "#pseudo";
    document.querySelector(id).innerHTML = "";
  }
  if (champ == "password") {
    var id = "#password";
    document.querySelector(id).innerHTML = "";
  }
  if (champ == "email") {
    var id = "#email";
    document.querySelector(id).innerHTML = "";
  }
}

function afficheSexe() {
  if (document.getElementsByName("sub")[0].checked == true) {
    alert("Bonjour, chère dame, t'as un snap ?");
  }
  if (document.getElementsByName("sub")[1].checked == true) {
    alert("Bonjour, vous");
  }
}

function cancel() {
  alert("Inscription annulée !");
}

function confirm() {
  // Récupére les données
  const pseudo = document.getElementById("pseudo_field").value;
  const password = document.getElementById("password_field").value;
  const email = document.getElementById("email_field").value;
  const wantsConfirmation = document.querySelector('input[name="confirm"]')
    .checked
    ? "Oui"
    : "Non";
  const subscription = document.querySelector(
    'input[name="sub"]:checked',
  ).value;
  const nationality = document.getElementById("NAliste").value;

  // Mappe les valeurs à du texte
  const subscriptionLabels = {
    A: "M'abonner à la newsletter et aux promotions",
    P: "M'abonner uniquement à la newsletter",
    N: "Ne pas m'abonner",
  };

  // Construie le message
  const message =
    "Pseudo: " +
    pseudo +
    "\nMot de passe: " +
    password +
    "\nEmail: " +
    email +
    "\nConfirmation email: " +
    wantsConfirmation +
    "\nAbonnement: " +
    subscriptionLabels[subscription] +
    "\nNationalité: " +
    nationality;

  alert(message);
}
